## emboss 6.6.0

=== test/Makefile ===
# Makefile.in generated by automake 1.12.2 from Makefile.am.
# test/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2012 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/EMBOSS
pkgincludedir = $(includedir)/EMBOSS
pkglibdir = $(libdir)/EMBOSS
pkglibexecdir = $(libexecdir)/EMBOSS
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = test
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/axis2c.m4 \
	$(top_srcdir)/m4/general.m4 $(top_srcdir)/m4/hpdf.m4 \
	$(top_srcdir)/m4/idxdbs.m4 $(top_srcdir)/m4/java.m4 \
	$(top_srcdir)/m4/lf_x11.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/mysql.m4 $(top_srcdir)/m4/pkg.m4 \
	$(top_srcdir)/m4/pngdriver.m4 $(top_srcdir)/m4/postgresql.m4 \
	$(top_srcdir)/m4/sgi.m4 $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/ajax/core/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /data/scratch/embossdist/missing --run aclocal-1.12
AJAX_FIXED_ROOT = \"/data/scratch/embossdist/emboss\"
AJAX_SYSTEM = \"Linux\"
AMTAR = $${TAR-tar}
ANT = /usr/bin/ant
AR = ar
AUTOCONF = ${SHELL} /data/scratch/embossdist/missing --run autoconf
AUTOHEADER = ${SHELL} /data/scratch/embossdist/missing --run autoheader
AUTOMAKE = ${SHELL} /data/scratch/embossdist/missing --run automake-1.12
AWK = gawk
AXIS2C_CFLAGS = 
AXIS2C_CPPFLAGS = 
AXIS2C_LDFLAGS = 
AXIS2C_LIBS = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =   -O2 
CPP = gcc -E
CPPFLAGS =  -DAJ_LinuxLF -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEVWARN_CFLAGS = 
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EMBOSS_TOP = /data/scratch/embossdist
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
HAVE_MEMMOVE = 
HAVE_STRERROR = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
JAR = /usr/bin/jar
JAVA = /usr/bin/java
JAVAC = /usr/bin/javac
JAVA_CFLAGS = 
JAVA_CPPFLAGS = -I/usr/lib/jvm/java/include -I/usr/lib/jvm/java/include/linux -DNO_AUTH
JAVA_LDFLAGS = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = -lm  -lhpdf -lgd -lpng -lz -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /data/scratch/embossdist/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MYSQL_CFLAGS = -I/usr/include/mysql -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -fno-strict-aliasing -fwrapv -fPIC  -fPIC -g -static-libgcc -fno-omit-frame-pointer -fno-strict-aliasing -DMY_PTHREAD_FASTMUTEX=1
MYSQL_CONFIG = /usr/bin/mysql_config
MYSQL_CPPFLAGS = -I/usr/include/mysql
MYSQL_LDFLAGS = -L/usr/lib64/mysql -lmysqlclient -lpthread -lz -lm -lrt -lssl -lcrypto -ldl
MYSQL_VERSION = 5.5.32
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = EMBOSS
PACKAGE_BUGREPORT = emboss-bug@emboss.open-bio.org
PACKAGE_NAME = EMBOSS
PACKAGE_STRING = EMBOSS 6.6.0
PACKAGE_TARNAME = EMBOSS
PACKAGE_URL = http://emboss.open-bio.org/
PACKAGE_VERSION = 6.6.0
PATH_SEPARATOR = :
PCRE_DATE = 11-Apr-2009
PCRE_LIB_VERSION = 0:1:0
PCRE_MAJOR = 7
PCRE_MINOR = 9
PCRE_POSIXLIB_VERSION = 0:0:0
PCRE_VERSION = 7.9
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POSIX_MALLOC_THRESHOLD = -DPOSIX_MALLOC_THRESHOLD=10
POSTGRESQL_CFLAGS = -I/usr/include
POSTGRESQL_CONFIG = /usr/bin/pg_config
POSTGRESQL_CPPFLAGS = -I/usr/include
POSTGRESQL_LDFLAGS = -L/usr/lib64 -lpq
POSTGRESQL_VERSION = 9.2.4
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 6.6.0
WARN_CFLAGS = 
XLIB =  -lX11 
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /data/scratch/embossdist/test
abs_srcdir = /data/scratch/embossdist/test
abs_top_builddir = /data/scratch/embossdist
abs_top_srcdir = /data/scratch/embossdist
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /data/scratch/embossdist/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = data embl genbank pir swiss swnew testdb
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu test/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu test/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,
# (1) if the variable is set in 'config.status', edit 'config.status'
#     (which will cause the Makefiles to be regenerated when you run 'make');
# (2) otherwise, pass the desired values on the 'make' command line.
$(RECURSIVE_TARGETS) $(RECURSIVE_CLEAN_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done
cscopelist-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) cscopelist); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \

=== doc/programs/Makefile ===
# Makefile.in generated by automake 1.12.2 from Makefile.am.
# doc/programs/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2012 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/EMBOSS
pkgincludedir = $(includedir)/EMBOSS
pkglibdir = $(libdir)/EMBOSS
pkglibexecdir = $(libexecdir)/EMBOSS
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = doc/programs
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/axis2c.m4 \
	$(top_srcdir)/m4/general.m4 $(top_srcdir)/m4/hpdf.m4 \
	$(top_srcdir)/m4/idxdbs.m4 $(top_srcdir)/m4/java.m4 \
	$(top_srcdir)/m4/lf_x11.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/mysql.m4 $(top_srcdir)/m4/pkg.m4 \
	$(top_srcdir)/m4/pngdriver.m4 $(top_srcdir)/m4/postgresql.m4 \
	$(top_srcdir)/m4/sgi.m4 $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/ajax/core/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /data/scratch/embossdist/missing --run aclocal-1.12
AJAX_FIXED_ROOT = \"/data/scratch/embossdist/emboss\"
AJAX_SYSTEM = \"Linux\"
AMTAR = $${TAR-tar}
ANT = /usr/bin/ant
AR = ar
AUTOCONF = ${SHELL} /data/scratch/embossdist/missing --run autoconf
AUTOHEADER = ${SHELL} /data/scratch/embossdist/missing --run autoheader
AUTOMAKE = ${SHELL} /data/scratch/embossdist/missing --run automake-1.12
AWK = gawk
AXIS2C_CFLAGS = 
AXIS2C_CPPFLAGS = 
AXIS2C_LDFLAGS = 
AXIS2C_LIBS = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =   -O2 
CPP = gcc -E
CPPFLAGS =  -DAJ_LinuxLF -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEVWARN_CFLAGS = 
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EMBOSS_TOP = /data/scratch/embossdist
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
HAVE_MEMMOVE = 
HAVE_STRERROR = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
JAR = /usr/bin/jar
JAVA = /usr/bin/java
JAVAC = /usr/bin/javac
JAVA_CFLAGS = 
JAVA_CPPFLAGS = -I/usr/lib/jvm/java/include -I/usr/lib/jvm/java/include/linux -DNO_AUTH
JAVA_LDFLAGS = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = -lm  -lhpdf -lgd -lpng -lz -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /data/scratch/embossdist/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MYSQL_CFLAGS = -I/usr/include/mysql -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -fno-strict-aliasing -fwrapv -fPIC  -fPIC -g -static-libgcc -fno-omit-frame-pointer -fno-strict-aliasing -DMY_PTHREAD_FASTMUTEX=1
MYSQL_CONFIG = /usr/bin/mysql_config
MYSQL_CPPFLAGS = -I/usr/include/mysql
MYSQL_LDFLAGS = -L/usr/lib64/mysql -lmysqlclient -lpthread -lz -lm -lrt -lssl -lcrypto -ldl
MYSQL_VERSION = 5.5.32
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = EMBOSS
PACKAGE_BUGREPORT = emboss-bug@emboss.open-bio.org
PACKAGE_NAME = EMBOSS
PACKAGE_STRING = EMBOSS 6.6.0
PACKAGE_TARNAME = EMBOSS
PACKAGE_URL = http://emboss.open-bio.org/
PACKAGE_VERSION = 6.6.0
PATH_SEPARATOR = :
PCRE_DATE = 11-Apr-2009
PCRE_LIB_VERSION = 0:1:0
PCRE_MAJOR = 7
PCRE_MINOR = 9
PCRE_POSIXLIB_VERSION = 0:0:0
PCRE_VERSION = 7.9
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POSIX_MALLOC_THRESHOLD = -DPOSIX_MALLOC_THRESHOLD=10
POSTGRESQL_CFLAGS = -I/usr/include
POSTGRESQL_CONFIG = /usr/bin/pg_config
POSTGRESQL_CPPFLAGS = -I/usr/include
POSTGRESQL_LDFLAGS = -L/usr/lib64 -lpq
POSTGRESQL_VERSION = 9.2.4
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 6.6.0
WARN_CFLAGS = 
XLIB =  -lX11 
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /data/scratch/embossdist/doc/programs
abs_srcdir = /data/scratch/embossdist/doc/programs
abs_top_builddir = /data/scratch/embossdist
abs_top_srcdir = /data/scratch/embossdist
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /data/scratch/embossdist/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
SUBDIRS = html text
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu doc/programs/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu doc/programs/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,
# (1) if the variable is set in 'config.status', edit 'config.status'
#     (which will cause the Makefiles to be regenerated when you run 'make');
# (2) otherwise, pass the desired values on the 'make' command line.
$(RECURSIVE_TARGETS) $(RECURSIVE_CLEAN_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done
cscopelist-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) cscopelist); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \

=== debian/changelog ===
emboss (6.6.0-1) unstable; urgency=low

  [ Charles Plessy ]
  ec024a3 Imported Upstream version 6.5.7
  78ef855 Removed upstream patch (for version 6.4.0).
  2f66060 Clarified the license of the packaging.

  [ Andreas Tille ]
  * Imported Upstream version 6.6.0 (+adapt quilt patches)
    Closes: #558852 (at least the regexp
      dpkg-shlibdeps: warning: symbol.*found in none of the libraries
    does not appear in the build log any more - feel free to reopen
    with more info)
  * Clarified copyright and licenses for:
    - emboss/data/OBO/chebi.obo [b60238c]
    - emboss/data/OBO/gene_ontology*.obo [dc91819]
    - emboss/data/OBO/software.obo [3c8b4bf]
    - emboss/data/OBO/*.obo [8c34d40]
    - emboss/data/OBO/pathway.obo [1b3bbcf][1ff8ab9]
    - emboss/data/OBO/eco.obo [95aa795]
    - emboss/data/OBO/ro.obo [2865596]
  * debian/control:
    - Standards-Version: 3.9.4 (no changes needed)
    - Provide real package evince in addition to virtual package pdf-viewer
  * debian/rules:
    - Remove some remainings from CVS from emboss-test package
  * debian/{jemboss.desktop,jemboss.menu}:
    - runJemboss.sh is now POSIX shell instead of csh
  * debian/source/format: 3.0 (quilt)
  * debian/patches/bashism.patch: Avoid bashism
    Closes: #690651

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2013 14:48:22 +0200

emboss (6.4.0-4) unstable; urgency=low

  * use autoreconf to enable latest changes

 -- Andreas Tille <tille@debian.org>  Fri, 10 Aug 2012 22:46:33 +0200

emboss (6.4.0-3) unstable; urgency=low

  * Import patches prepared by Felix Geyer <fgeyer@debian.org> to cope
    with the --as-needed issue when linking against database clients
    (thanks to Felix)
    Closes: #650237
  * Fix typo to build emboss including PostgreSQL support (Thanks to
    Felix Geyer <fgeyer@debian.org> for the patch)
    Closes: #683190

 -- Andreas Tille <tille@debian.org>  Thu, 09 Aug 2012 16:01:07 +0200

emboss (6.4.0-2) unstable; urgency=low

  * Separate architecture-dependant and independant targets in debian/rules.
    This makes the package buildable again on our build farm.

 -- Charles Plessy <plessy@debian.org>  Thu, 21 Jun 2012 14:31:59 +0900

emboss (6.4.0-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream release.
  * Removed calls to dh_makeshlibs in debian/rules (closes: #595613).
  * Build on libpng-dev instead of libpng12-dev (closes: #662313).
  * Breaks: EMBASSY <= 6.3.1 (debian/control).

  [ Andreas Tille ]
  * debian/upstream: separate reference section
  * debian/rules:
     - Make sure every binary package has a changelog file
     - enable hardening
     - do not clean backup file which is part of upstream tarball
     - remove executable flag from some test data
     - restore executable flag of some jemboss utils which seems to
       be removed by install target
  * debian/control:
     - remove article from description
     - Standards-Version: 3.9.3 (no changes needed)
  * debian/emboss.menu: delete - chances that users will pick command
    line programs from longish menu entries are pretty low
  * debian/emboss-lib.lintian-overrides: Adapted string of lintian
    warning

 -- Charles Plessy <plessy@debian.org>  Wed, 20 Jun 2012 18:55:16 +0900

emboss (6.3.1-6) unstable; urgency=low

  * All EMBOSS libraries are to be considered private. The libajax* and
    libnucleus* are merged in the emboss-lib package, which is moved
    from the ‘libs’ to the ‘science’ section. Closes: #595613.
  * Added a Lintian override for the convenience copy of the PCRE
    library (debian/emboss-lib.lintian-overrides).
  * Build-depend on libhpdf-dev for PDF support, removed erroneous build
    dependance on libpcre3-dev (debian/control).
  * Added dependance on emboss to jemboss (debian/control).

 -- Charles Plessy <plessy@debian.org>  Thu, 16 Sep 2010 21:06:14 +0900

emboss (6.3.1-5) unstable; urgency=low

  * New upstream patch, version 1-4.
  * Restore original config.* files in the clean target if the unpacked
    source package is a git repository (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Thu, 12 Aug 2010 08:00:58 +0900

emboss (6.3.1-4) unstable; urgency=low

  * New upstream patch, version 1-2.
  * Unset LS_COLORS in debian/rules (see #592089).

 -- Charles Plessy <plessy@debian.org>  Sat, 07 Aug 2010 23:03:10 +0900

emboss (6.3.1-3) unstable; urgency=low

  * Use default Java instead of OpenJDK (debian/control, debian/rules,
    closes: #590553, thanks to Petr Salinger).
  * Incremented Standards-Version in debian/control to reflect conformance
    with Debian Policy 3.9.1 (no changes needed).

 -- Charles Plessy <plessy@debian.org>  Wed, 28 Jul 2010 23:42:31 +0900

emboss (6.3.1-2) unstable; urgency=low

  * First upstream patch for version 6.3.1 (debian/series,
    debian/patches/official-upstream-patch.patch).
  * Moved openjdk-6-jdk to Build-Depends (debian/control, closes: #589897).

 -- Charles Plessy <plessy@debian.org>  Fri, 23 Jul 2010 10:51:50 +0900

emboss (6.3.1-1) unstable; urgency=low

  * New upstream release.
    - Dropped debian/patches/official-upstream-patch.patch.
    - Refreshed the manual pages (debian/*manpages*).
  * Incremented Standards-Version in debian/control to reflect conformance
    with Debian Policy 3.9.0 (no changes needed).
  * Keep and restore a clean copy of the test directory, closes: #587170.
  * Build against Debian's zlib and expat libraries (debian/rules,
    debian/control, deleted debian/libajax6.lintian-overrides).
  * Added support for MySQL and PostgreSQL (debian/control, debian/rules).
  * Added symbols files for emboss-libs, libajax6 and libnucleus6. This
    will prevent mixing incompatible binary packages (LP: 526356).

 -- Charles Plessy <plessy@debian.org>  Wed, 21 Jul 2010 15:24:07 +0900

emboss (6.2.0-2) unstable; urgency=low

  * Updated debian/patches/official-upstream-patch.patch to version 1-19.

 -- Charles Plessy <plessy@debian.org>  Tue, 22 Jun 2010 17:01:44 +0900



=== debian/control ===
Source: emboss
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Nelson A. de Oliveira <naoliv@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               quilt,
               libx11-dev,
               x11proto-core-dev,
               libgdchart-gd2-xpm-dev,
               zlib1g-dev,
               libpng-dev,
               libexpat1-dev,
               libhpdf-dev,
               libmysqlclient-dev,
               libpq-dev,
               antiword,
               sharutils,
               autotools-dev,
               tcsh | csh | c-shell,
               dh-autoreconf,
# Needed until the following is solved: https://sourceforge.net/tracker/?func=detail&aid=3033326&group_id=93650&atid=605031 
               default-jdk
#Build-Depends-Indep: default-jdk
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/emboss.git
Vcs-Git: git://anonscm.debian.org/debian-med/emboss.git
Homepage: http://emboss.sourceforge.net

Package: emboss
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         emboss-lib (= ${binary:Version}),
         emboss-data (= ${source:Version})
Recommends: primer3,
            dialign
Suggests: emboss-doc,
          emboss-test,
          embassy,
          clustalw
Description: european molecular biology open software suite
 EMBOSS is a free Open Source software analysis package specially developed for
 the needs of the molecular biology (e.g. EMBnet) user community. The software
 automatically copes with data in a variety of formats and even allows
 transparent retrieval of sequence data from the web. Also, as extensive
 libraries are provided with the package, it is a platform to allow other
 scientists to develop and release software in true open source spirit. EMBOSS
 also integrates a range of currently available packages and tools for sequence
 analysis into a seamless whole. EMBOSS breaks the historical trend towards
 commercial software packages.

Package: emboss-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the EMBOSS package
 This package includes data files needed by EMBOSS, the European Molecular
 Biology Open Software Suite.

Package: emboss-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: evince | pdf-viewer | postscript-viewer
Description: documentation for EMBOSS
 This package includes non-essential user documentation for EMBOSS, the
 European Molecular Biology Open Software Suite.

Package: emboss-test
Architecture: all
Section: misc
Depends: ${misc:Depends}
Recommends: tcsh | csh | c-shell
Suggests: valgrind
Description: test files for the EMBOSS package
 This package includes test files for EMBOSS, the European Molecular Biology
 Open Software Suite.
 .
 It is a good idea to use the data from this package for your bug reports when
 possible.

Package: emboss-lib
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libajax5,
           libajax6,
           libajax5-dev,
           libajax6-dev,
           libnucleus5,
           libnucleus6,
           libnucleus5-dev,
           libnucleus6-dev
Replaces: libajax5,
          libajax6,
          libajax5-dev,
          libajax6-dev,
          libnucleus5,
          libnucleus6,
          libnucleus5-dev,
          libnucleus6-dev
Description: EMBOSS Libraries
 This package contains the core libraries of the European Molecular Biology
 Open Software Suite, EMBOSS.
 .
 AJAX covers standard data structures, including strings, sequences, file
 handles, queues, hashes, heaps, lists, dictionaries, trees and dynamic
 arrays. It also covers standard algorithms including comparisons, pattern
 matching, sorting, and iterators. AJAX will also provide a set of high level
 graphics functions suited to the needs of sequence analysis applications.
 .
 The NUCLEUS library provides higher-level functions specific to molecular
 sequence analysis, including sequence comparisons, translation, codon usage
 and annotation.
 .
 It also contains a eplplot, an EMBOSS, a fork of the plplot library.
 .
 In Debian, these libraries are to be considered private.

Package: jemboss
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         emboss,
         default-jre,
         tcsh | csh | c-shell
Description: graphical user interface to EMBOSS
 Jemboss is a Graphical User Interface (GUI) to EMBOSS, the European Molecular
 Biology Open Software Suite. It is part of the EMBOSS distribution.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --with autotools-dev,quilt,autoreconf

VERSION := $(shell dpkg-parsechangelog | grep Ver | cut -d' ' -f2 | cut -d- -f1)
RENAMED := cons pscan

EMBOSS-TMP  = $(CURDIR)/debian/emboss_tmp
EMBOSS      = $(CURDIR)/debian/emboss
EMBOSS-TEST = $(CURDIR)/debian/emboss-test
EMBOSS-LIB  = $(CURDIR)/debian/emboss-lib

CONFFLAGS    = --bindir=/usr/lib/emboss
CONFFLAGS   += --libdir=/usr/lib/emboss/lib
CONFFLAGS   += --includedir=/usr/lib/emboss/include
CONFFLAGS   += --enable-systemlibs
CONFFLAGS   += --with-java=/usr/lib/jvm/default-java/include
CONFFLAGS   += --with-javaos=/usr/lib/jvm/default-java/include/linux

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)

DEB_LDFLAGS += -lexpat
DEB_LDFLAGS += $(shell mysql_config --libs)
DEB_LDFLAGS += -lpq
DEB_LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
#DEB_LDFLAGS += $(shell pg_config  | grep LIBS | cut -f2 -d=)

override_dh_auto_configure:
	dh_autotools-dev_updateconfig
	dh_auto_configure -- $(CONFFLAGS)
	
override_dh_auto_build:
	dh_auto_build -- AJAX_FIXED_ROOT=\\\"/usr/share/EMBOSS\\\" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(DEB_LDFLAGS)"

override_dh_clean:
	dh_autotools-dev_restoreconfig
	rm --force --recursive debian/emboss_tmp
	find jemboss/ -type f -name "*.class" | xargs -r rm -f
	[ ! -d debian/testbackup ] || ( $(RM) --recursive test ; mv debian/testbackup test )
	dh_clean  --exclude=feattext.html~ config.status test-stamp install-stamp

override_dh_auto_install-arch:
	### Binaries and data go to a temporary dir before being moved to their own package ###
	$(MAKE) -C emboss install DESTDIR=$(EMBOSS-TMP)

	# Make symbolic links from /usr/bin to /usr/lib/emboss
	cd $(EMBOSS)/usr/bin/ ; \
		for i in $(EMBOSS-TMP)/usr/lib/emboss/* ; \
		do ln -sf ../lib/emboss/`basename $$i` . ; \
		done

	### Renaming conflicting binaries (see also in binary-arch) ###
	for i in $(RENAMED) ; \
		do mv $(EMBOSS)/usr/bin/$$i $(EMBOSS)/usr/bin/em_$$i ; \
		done

	### EMBOSS libraries go in the emboss-lib package. ###
	$(MAKE) -C ajax install DESTDIR=$(EMBOSS-LIB)
	$(MAKE) -C nucleus install DESTDIR=$(EMBOSS-LIB)
	$(MAKE) -C plplot install DESTDIR=$(EMBOSS-LIB)
	find $(EMBOSS-LIB)/usr/lib -name '*.la' -exec rm {} \;

	### Documentation goes in emboss-doc. ###
	$(MAKE) -C doc install DESTDIR=$(CURDIR)/debian/emboss-doc
	antiword $(CURDIR)/debian/emboss-doc/usr/share/EMBOSS/doc/manuals/domainatrix.doc > $(CURDIR)/debian/emboss-doc/usr/share/EMBOSS/doc/manuals/domainatrix.txt
	# Remove this file when the relicenced file becomes part of the upstream tarball.
	uudecode -o $(CURDIR)/debian/emboss-doc/usr/share/EMBOSS/doc/manuals/EMBOSS_qg.pdf $(CURDIR)/debian/EMBOSS_qg_new.pdf.uu

override_dh_auto_install-indep:
	$(MAKE) -C jemboss install DESTDIR=$(CURDIR)/debian/jemboss bindir=/usr/bin
	# install target seems to remove executable flag which is claimed by lintian
	find $(CURDIR)/debian/jemboss/usr/share/EMBOSS/jemboss/utils -type f -not -executable -name "*sh" -exec chmod a+x \{\} \;
	# dangling LICEN[CS]E FILE
	rm $(CURDIR)/debian/jemboss/usr/share/EMBOSS/jemboss/LICENSE

	### Installation of the test suite
	cp -a test $(CURDIR)/debian/emboss-test/usr/share/EMBOSS/
	sed -i "/SET emboss_tempdata/cSET emboss_tempdata /usr/share/EMBOSS/test" $(CURDIR)/debian/emboss-test/usr/share/EMBOSS/test/.embossrc
	sed -i "/SET emboss_qadata/cSET emboss_qadata /usr/share/EMBOSS/test" $(CURDIR)/debian/emboss-test/usr/share/EMBOSS/test/.embossrc
	mv $(CURDIR)/debian/emboss-test/usr/share/EMBOSS/test/.embossrc $(CURDIR)/debian/emboss-test/etc/emboss/embossrc.d/emboss-test
	find $(CURDIR)/debian/emboss-test/usr/share/EMBOSS/test/data -executable -type f -exec chmod a-x \{\} \;
	find $(CURDIR)/debian/emboss-test/usr/share/EMBOSS/test -type d -name CVS | xargs rm -rf
	find $(CURDIR)/debian/emboss-test/usr/share/EMBOSS/test -type f -name .cvsignore -delete

override_dh_auto_test:
	$(RM) test-stamp
	[ -d debian/testbackup ] || cp -a test debian/testbackup
	sed -i "/SET emboss_tempdata/cSET emboss_tempdata $(CURDIR)/test" test/.embossrc
	sed -i "/SET emboss_qadata/cSET emboss_qadata $(CURDIR)/test" test/.embossrc
	echo "SET emboss_acdroot $(CURDIR)/emboss/acd" >> test/.embossrc
	echo "SET emboss_data $(CURDIR)/emboss/data" >> test/.embossrc
	echo "SET emboss_docroot $(CURDIR)/doc" >> test/.embossrc
	cd test/qa && LS_COLORS='' EMBOSSRC=$(CURDIR)/test PATH=$(CURDIR)/emboss:$$PATH EMBOSS_ROOT=../../../ ./qatest.csh
	
override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog
	
override_dh_installman:
	dh_installman -a -p emboss
	for i in $(RENAMED) ; \
		do dh_link usr/share/man/man1/$$i.1e.gz usr/share/man/man1/em_$$i.1e.gz ; \
		done
	
override_dh_builddeb:
	dh_builddeb -- -Z xz


# Target to refresh the manpages; needs libemboss-acd-perl, xsltproc, docbook-xml and docbook-xsl
manpages: debian/manpages/success
debian/manpages/success:
	debian/build-manpages.sh
	echo "The manpages have been sucessfully built" > debian/manpages/success

=== debian/watch ===
version=3
ftp://emboss.open-bio.org/pub/EMBOSS/EMBOSS-([\d.]*)\.tar\.gz
